#
# Cookbook Name:: bjn_dbum
# Recipe:: default
#
# Copyright (C) 2015 Blue Jeans Network
#

dbum = materialize node['dbum']

reify :group, dbum['group']

reify :user, dbum['user']

reify :gem_package, dbum['gem'], [
  [ :restart, 'service[dbum]' ]
], :upgrade

template '/etc/init/dbum.conf' do
  source 'dbum.conf.erb'
  owner 'root'
  group 'root'
  mode '0644'
  variables dbum: dbum
  notifies :restart, 'service[dbum]', :delayed
end

file dbum['opts']['database'] do
  owner dbum['user']['name']
  group dbum['group']['name']
  action :create_if_missing
end

service 'dbum' do
  provider Chef::Provider::Service::Upstart
  supports restart: true, reload: true, status: true
  action [ :enable, :start ]
end